poppler (26.01.0-2build2) resolute; urgency=medium

  * No change rebuild to pick the right gpgpme on i386

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Mar 2026 08:56:58 +0100

poppler (26.01.0-2build1) resolute; urgency=medium

  * No-change rebuild for gpgme1.0 2.0

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Fri, 20 Feb 2026 19:49:25 +0000

poppler (26.01.0-2) experimental; urgency=medium

  [ Alessandro Astone ]
  * d/control: Depend on unversioned libcurl-dev virtual package
  * d/control: Depend on transitive dependency libgpgme-dev

  [ Emilio Pozuelo Monfort ]
  * Upload to experimental.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 18 Feb 2026 14:31:07 +0100

poppler (26.01.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * Remove unnecessary Build-Depends: libgirepository1.0-dev (Closes: #1118911)
  * debian/libpoppler-qt6-3t64.symbols.in: Add new symbol

  [ Alessandro Astone ]
  * New upstream release 26.01.0
  * d/p: Drop patches applied upstream
  * d/control: Bump versioned dependencies
  * d/control, d/install, d/docs: Bump library SONAME versions
  * d/symbols: Update symbols from new version
  * d/control: Add pkg-config devel requires

  [ Emilio Pozuelo Monfort ]
  * d/copyright: update FSF address.
  * d/control: depend on a real libcurl package as first alternative.
  * d/watch: switch to version 5.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 17 Feb 2026 15:44:26 +0100

poppler (25.03.0-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Check for duplicate entries (CVE-2025-52885) (Closes: #1117853)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 12 Oct 2025 20:30:50 +0200

poppler (25.03.0-11) unstable; urgency=medium

  * Enable poppler-qt6 on x32

 -- Pino Toscano <pino@debian.org>  Sat, 11 Oct 2025 10:49:45 +0200

poppler (25.03.0-10) unstable; urgency=high

  * SECURITY UPDATE: stack consumption & crash
    - debian/patches/CVE-2025-43718.patch: make sure regex doesn't
      stack overflow by limiting it in poppler/PDFDoc.cc
    - CVE-2025-4718 (Closes: #1117046) (LP: #2126687)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 Oct 2025 15:58:16 -0400

poppler (25.03.0-9) unstable; urgency=medium

  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Requires-Root: no field
  * Buildable with gcc-15 (Closes: #1097637)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 08:42:56 -0400

poppler (25.03.0-8) unstable; urgency=medium

  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Requires-Root: no field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 08:41:47 -0400

poppler (25.03.0-7) unstable; urgency=medium

  * Revert accidental maintainer change

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 31 Aug 2025 14:07:22 -0400

poppler (25.03.0-6) unstable; urgency=high

  [ Leonidas Da Silva Barbosa ]
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2025-50420.patch: don't continue
      recursing in PDFDoc in poppler/PDFDoc.cc.
    - CVE-2025-50420 (Closes: #1110463)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Aug 2025 16:03:54 -0400

poppler (25.03.0-5) unstable; urgency=high

  [ Marc Deslauriers ]
  * SECURITY UPDATE: DoS via reference count overflow
    - debian/patches/CVE-2025-52886.patch: limit amount of annots per
      document/page in poppler/Annot.cc, poppler/Page.cc.
    - CVE-2025-52886 (Closes: #1108784)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 28 Jul 2025 10:55:12 +0200

poppler (25.03.0-4) unstable; urgency=high

  * Team upload
  * SECURITY UPDATE: Properly verify abde.pkcs7.sha1 signatures
    - Cherry-pick upstream fix for the
      NSSSignatureVerification::validateSignature function
      in NSSCryptoSignBackend.cc
    - CVE-2025-43903 (Closes: #1103545)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Apr 2025 18:16:32 -0400

poppler (25.03.0-3) unstable; urgency=high

  * Team upload
  * SECURITY UPDATE: floating-point exception vulnerability (Closes: #1102190)
     - Cherry-pick upstream fix for the PSStack::roll function
       in Function.cc
     - CVE-2025-32364
  * SECURITY UPDATE: out-of-bounds read vulnerability (Closes: #1102191)
     - Cherry-pick upstream fix for the JBIG2Bitmap::combine function
       in JBIG2Stream.cc (LP: #2106404)
     - CVE-2025-32365

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Apr 2025 11:11:10 -0400

poppler (25.03.0-2) unstable; urgency=medium

  * Team upload
  * Release to Unstable (LP: #2100905)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 07:13:50 -0500

poppler (25.03.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Rename libpoppler145 to libpoppler147 to match soname bump
  * Update symbols files
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Mar 2025 16:22:49 -0500

poppler (25.01.0-5) unstable; urgency=medium

  * Team upload
  * Cherry-pick default signature colors fix for Papers (Closes: #1098406)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 27 Feb 2025 15:01:21 -0500

poppler (25.01.0-4) unstable; urgency=medium

  * Add patch to fix glib crash, needed by papers 48

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Feb 2025 22:31:49 -0500

poppler (25.01.0-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Disable gtkdoc in arch-only build (Closes: #1060865)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Feb 2025 09:19:28 -0500

poppler (25.01.0-2) unstable; urgency=medium

  * Team upload
  * Run wrap-and-sort
  * Update gir Depends
  * Remove obsolete Lintian overrides
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 26 Jan 2025 13:53:06 -0500

poppler (25.01.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Rename libpoppler and libpoppler-cpp packages for soname bump
  * Update symbol files with new symbols
  * Remove remaining patch: applied upstream

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 15 Jan 2025 12:29:05 +0100

poppler (24.08.0-4) unstable; urgency=high

  * Team upload
  * SECURITY UPDATE: out-of-bounds read vulnerability (Closes: #1091322)
     - Cherry-pick upstream fix for the JBIG2Bitmap::combine function
       in JBIG2Stream.cc
     - CVE-2024-56378
  * libpoppler-glib-dev: Add Provides: ${gir:Provides}

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 04 Jan 2025 17:16:42 -0900

poppler (24.08.0-3) unstable; urgency=medium

  [ John Scott ]
  * Enable the GnuPG/gpgsm PDF signature backend.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 23 Oct 2024 09:35:17 +0200

poppler (24.08.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Aug 2024 10:46:36 -0400

poppler (24.08.0-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * Update library name to libpoppler140 to match soname bump
  * debian/libpoppler-qt*.symbols.in: Add new symbols

  [ Dandan Zhang ]
  * Build qt6 library for loong64 (Closes: #1074410)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Aug 2024 19:46:39 -0400

poppler (24.06.0-2) experimental; urgency=medium

  * Update symbols files

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Jun 2024 09:03:23 -0400

poppler (24.06.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Update library names to libpoppler134 & libpoppler-cpp1 for soname bumps
  * debian/poppler-utils.install: Install pdfsig translation
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Jun 2024 11:17:27 -0400

poppler (24.02.0-5) unstable; urgency=medium

  * Team upload
  * Stop building Qt6 library on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 May 2024 10:25:19 +0200

poppler (24.02.0-4) unstable; urgency=medium

  * Team upload
  * Fix error in declaring Replaces: libpoppler-cpp0v5 (Closes: #1071009)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 May 2024 13:32:22 +0200

poppler (24.02.0-3) unstable; urgency=medium

  * Team upload
  * Restore t64 changes from 22.12.0-2.2 and bump Breaks/Replaces.
    Use standard versioned Replaces instead of unversioned. (Closes: #1070862)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 10 May 2024 14:18:27 -0400

poppler (24.02.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 10 May 2024 05:43:01 -0400

poppler (24.02.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Update library name to libpoppler134 to match soname
  * debian/copyright: Update path of a moved file

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 13 Feb 2024 11:59:19 -0500

poppler (23.12.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Update library name to libpoppler133 to match soname
  * Add new symbols to symbols files
  * Build-Depend on libcurl4-gnutls-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Dec 2023 10:08:39 -0500

poppler (23.08.0-2) experimental; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Explicitly disable gpg support for now

  [ Amin Bandali ]
  * 23.08.0 upstream release addresses CVE-2023-34872 (Closes: #1042811)
  * debian/rules: Opt into LTO (to minimize symbols diff with Ubuntu)
  * Drop most optional symbols from libpoppler-qt5-1 and libpoppler-qt6-3

 -- Amin Bandali <bandali@ubuntu.com>  Wed, 16 Aug 2023 10:20:27 -0400

poppler (23.08.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release (Closes: #969907)
  * Update library name to libpoppler130 to match soname
  * Address some lintian error and warnings:
    - E: libpoppler-private-dev: depends-on-obsolete-package
      Suggests: libfreetype6-dev => libfreetype-dev
    - W: poppler source: build-depends-on-obsolete-package
      Build-Depends: libfontconfig1-dev => libfontconfig-dev
    - W: poppler source: build-depends-on-obsolete-package
      Build-Depends: libfreetype6-dev => libfreetype-dev
  * Update standards version to 4.6.2, no changes needed
  * Update minimum version of several Build-Depends and Depends
    per upstream

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 10 Aug 2023 17:27:57 -0400

poppler (22.12.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix wrong extraneous X-Time64-Compat declarations.  Closes: #1065155.

 -- Steve Langasek <vorlon@debian.org>  Sun, 03 Mar 2024 08:43:35 +0000

poppler (22.12.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064282

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 21:10:54 +0000

poppler (22.12.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 10 Jan 2023 16:36:05 -0500

poppler (22.12.0-1) experimental; urgency=medium

  * Team upload

  [ Nathan Pratta Teodosio ]
  * New upstream release
  * Update library name to libpoppler126 to match soname

  [ Jeremy Bicha ]
  * Fix qt6 autopkgtest
  * debian/control: Set Rules-Requires-Root: no

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 12 Dec 2022 14:16:40 -0300

poppler (22.11.0-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Update library name to libpoppler125 to match soname
  * Add Qt6 library (Closes: #1008990)
  * Update links in debian/upstream/metadata
  * Drop all patches: applied in new release
  * Drop obsolete Breaks added long ago to fix 774949
  * Run dh_auto_test but ignore test failures for now because of missing
    test files

  [ Debian Janitor ]
  * Trim trailing whitespace
  * Set upstream metadata fields
  * Remove obsolete field Name from debian/upstream/metadata
  * Update standards version to 4.6.1, no changes needed.
  * Apply multi-arch hints. + libpoppler-glib-doc: Add Multi-Arch: foreign.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 01 Nov 2022 15:15:59 +0100

poppler (22.08.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * JBIG2Stream: Fix crash on broken file (CVE-2022-38784) (Closes: #1018971)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 03 Sep 2022 21:30:51 +0200

poppler (22.08.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 13:13:33 -0400

poppler (22.08.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Update library name to libpoppler123 to match soname
  * debian/libpoppler-glib8.symbols.in: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 Aug 2022 10:04:47 -0400

poppler (22.06.0-1) experimental; urgency=medium

  * New upstream version
  * libpoppler118->libpoppler122

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 09 Jun 2022 21:47:08 -0300

poppler (22.02.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Update library name to libpoppler118 to match soname
  * Add new symbols to our symbols files
  * debian/rules: Set DPKG_GENSYMBOLS_CHECK_LEVEL = 4
  * Set debhelper-compat to 13
  * Lots of minor packaging cleanup

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 04 Feb 2022 09:18:41 -0500

poppler (21.11.0-1) experimental; urgency=medium

  * New upstream version
  * Updated for the soname change
  * Refreshed symbols for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Nov 2021 10:17:01 +0100

poppler (21.06.1-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 21 Jun 2021 16:27:09 +0200

poppler (21.06.0-1) experimental; urgency=medium

  * New upstream version, updated for the soname change
  * debian/control:
    - updated glib requirement
  * Updated symbols for the new version

 -- Sebastien Bacher <seb128@debian.org>  Thu, 03 Jun 2021 12:23:29 +0200

poppler (21.02.0-1) experimental; urgency=medium

  * New upstream version, updated for the soname change
  * debian/control:
    - build-depends on libgdk-pixbuf-2.0-dev and libgtk-3-dev
    - updated standards version
  * debian/libpoppler-dev.install:
    - remove deprecated .pc for the list of files to install

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Feb 2021 15:40:38 +0100

poppler (20.09.0-3.1) unstable; urgency=medium

  * debian/tests: make autopkgtests cross-test-friendly (Closes: #969726)

  [ Gianfranco Costamagna ]
  * add some optional symbols that appears/disappears when the source is
    built with -O3

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 21 Jan 2021 16:40:36 +0100

poppler (20.09.0-3) unstable; urgency=medium

  * debian/tests: build with -Wno-deprecated-declarations, so that we don't
    fail if an rdep deprecates some symbols. Closes: #973538.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 03 Nov 2020 13:27:06 +0100

poppler (20.09.0-2) unstable; urgency=medium

  * Add new optional symbols generated by the new toolchain.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 03 Sep 2020 21:12:14 +0200

poppler (20.09.0-1) unstable; urgency=medium

  * New upstream release.
  * Update libpoppler-glib8's symbols.
  * Make debian/copyright follow DEP-5.
  * License is GPL-2 | GPL-3 since the update to Xpdf 3.03 (see README-XPDF),
    update license information in debian/copyright accordingly.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 03 Sep 2020 18:29:28 +0200

poppler (20.08.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/watch: use https to fix redirect error.
  * Update symbols files.
  * libpoppler95 -> libpoppler102.
  * Build with boost headers. Closes: #955455.
  * Update copyright holders.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 20 Aug 2020 11:02:05 +0200

poppler (0.85.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 18 Aug 2020 11:56:38 +0200

poppler (0.85.0-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.
  * libpoppler91 -> libpoppler95
  * Revert "Silence deprecation warnings for GTime, fixing autopkgtest"
    - merged upstream, now part of upstream release.
  * Update symbols

  [ Philip Withnall ]
  * Add python3:any to build deps as it’s used in `make-glib-api-docs` script.
    Closes: #947327.

  [ Emilio Pozuelo Monfort ]
  * Replace ADTTMP variable with AUTOPKGTEST_TMP.
  * Update copyright holders.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 19 Feb 2020 18:50:58 +0100

poppler (0.81.0-1) experimental; urgency=medium

  * New upstream release. Closes: #924617.
  * Remove patches applied upstream.
  * libpoppler82 -> libpoppler91.
  * Update cmake flag for the unstable headers.
  * Update README filename.
  * Update symbols files.
  * Update copyright holders.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 04 Oct 2019 12:45:27 +0200

poppler (0.71.0-6) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/Silence-deprecation-warnings-for-PopplerAttachment-c.patch:
    Silence deprecation warnings for GTime, fixing autopkgtest
    (Closes: #941718)

  [ Emilio Pozuelo Monfort ]
  * Remove Joss from uploaders, thanks for all the work! Closes: #930163.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 04 Oct 2019 11:32:23 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libpoppler156`.
